Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
auth::ClientCertAuthManager Interface Reference

configuration interface More...

`import "ClientCertAuthManager.idl";`

## Classes
struct | CACertInfo
| Information about a single CA certificate. More...
struct | ClientCertAuthSettings
struct | OcspSettings

## Public Types
enum | AuthMapType { CN , OTHER , DNSNAME , EMAIL , URI , UID , LEGACYEMAIL }
enum | OcspScope { LEAF , FULL }

## Public Member Functions
ClientCertAuthSettings | getClientCertAuthSettings (out vector< CACertInfo > caCertInfos)
| Get client certificate authentication settings.
int | setClientCertAuthSettings (in ClientCertAuthSettings settings)
| Set client certificate authentication settings.

## Public Attributes
constant int | ERR_MISSING_CERT = 1
constant int | ERR_TOO_MANY_CERTS = 2
constant int | ERR_INVALID_PARAMS = 3

## Detailed Description

configuration interface

Definition at line 9 of file ClientCertAuthManager.idl.

## Member Enumeration Documentation

## ◆ AuthMapType

enum auth::ClientCertAuthManager::AuthMapType

Enumerator
CN | Common name.
OTHER | Other name (from subject alt name)
DNSNAME | DNS name (from subject alt name)
EMAIL | E-mail (from subject alt name)
URI | URI (from subject alt name)
UID | UID.
LEGACYEMAIL | E-mail.

Definition at line 15 of file ClientCertAuthManager.idl.

## ◆ OcspScope

enum auth::ClientCertAuthManager::OcspScope

Definition at line 25 of file ClientCertAuthManager.idl.

## Member Function Documentation

## ◆ getClientCertAuthSettings()

ClientCertAuthSettings auth::ClientCertAuthManager::getClientCertAuthSettings | ( | out vector< CACertInfo > | caCertInfos | ) |

Get client certificate authentication settings.

Parameters

  caCertInfos | Output value: CA certificate chain information (one entry for each caCertChains entry)

Returns
  Client certificate authentication settings

## ◆ setClientCertAuthSettings()

int auth::ClientCertAuthManager::setClientCertAuthSettings | ( | in ClientCertAuthSettings | settings | ) |

Set client certificate authentication settings.

Parameters

  settings | New settings

Returns
  0 on success
  1 if no CA certificate was given
  2 if too many CA certificates were given
  3 if any other parameter was invalid

## Member Data Documentation

## ◆ ERR_INVALID_PARAMS

constant int auth::ClientCertAuthManager::ERR_INVALID_PARAMS = 3

Definition at line 13 of file ClientCertAuthManager.idl.

## ◆ ERR_MISSING_CERT

constant int auth::ClientCertAuthManager::ERR_MISSING_CERT = 1

Definition at line 11 of file ClientCertAuthManager.idl.

## ◆ ERR_TOO_MANY_CERTS

constant int auth::ClientCertAuthManager::ERR_TOO_MANY_CERTS = 2

Definition at line 12 of file ClientCertAuthManager.idl.

The documentation for this interface was generated from the following file:

- ClientCertAuthManager.idl